Last updated: September 23, 2026

Update RADIUS App

Update RADIUS App. RADIUS app UUID

Request

PUThttps://superadminuser.miniorange.in/services/api/apps/v1/radius/:appUUID

Authentication headers (required on every request)

Customer-Key
Super Admin ID for the actor account.
Timestamp
Milliseconds since epoch (e.g. Date.now()).
Authorization
SHA-512 of superAdminId + timestamp + apiKey.
X-Target-Customer-Id
Customer tenant the Super Admin is acting on.

Parameters

NameTypeRequiredDescription
appUUIDStringRequiredRADIUS app UUID
applicationNameStringOptional
clientNameStringOptional
clientIpStringOptional
sharedSecretStringOptional
doNotSupportChallengeStringOptional
sendAttributesStringOptional
isAccountingAuditEnabledStringOptional
allowChangePasswordStringOptional
forceMessageAuthenticatorStringOptional
auditInvalidUsersStringOptional
allowedMethodsStringOptional
defaultEapMethodStringOptional
groupDelimiterStringOptional
identitySourceStringOptional
radiusAttributeMappingStringOptional

Request body

{
    "applicationName": "AWS Workspaces",
    "clientName": "My RADIUS App",
    "clientIp": "192.168.1.100",
    "sharedSecret": "my-shared-secret",
    "doNotSupportChallenge": false,
    "sendAttributes": false,
    "isAccountingAuditEnabled": false,
    "allowChangePassword": false,
    "forceMessageAuthenticator": false,
    "auditInvalidUsers": false,
    "allowedMethods": [
        "PAP"
    ],
    "defaultEapMethod": null,
    "groupDelimiter": null,
    "identitySource": null,
    "radiusAttributeMapping": []
}

No sample response is documented for this endpoint yet. Use Try it on the right to see the live response from your tenant.

Copied